Subject: Re: [PATCH] bundle-uri: plug leak in unbundle_from_file()

From: Junio C Hamano <[email-masked]>
Date: Tue, 01 Oct 2024 12:29:29 -0700

Toon Claes <[email-masked]> writes:

> Junio C Hamano <[email-masked]> writes:
>
>> Thanks for reviewing carefully.
>>
>> Both of two callers of unbundle_from_file() are used as the
>> condition of an if() statement, so unbundle() that signals an error
>> with -1 wouldn't be a problem, I would think.
>
> Hi Junio,
>
> I've noticed this patch wasn't picked up yet. Is there anything you want
> me to change and have me sent another version, or is it good to go in?

I am waiting for a reroll with an updated log message, i.e, what
Patrick pointed out in his review.  I only said "yeah, this looks
safe", and never meant "it is so obvious there is no need for extra
explanation in the log message".

Thanks.